
Recherche avancée
Autres articles (65)
-
Gestion générale des documents
13 mai 2011, parMédiaSPIP ne modifie jamais le document original mis en ligne.
Pour chaque document mis en ligne il effectue deux opérations successives : la création d’une version supplémentaire qui peut être facilement consultée en ligne tout en laissant l’original téléchargeable dans le cas où le document original ne peut être lu dans un navigateur Internet ; la récupération des métadonnées du document original pour illustrer textuellement le fichier ;
Les tableaux ci-dessous expliquent ce que peut faire MédiaSPIP (...) -
MediaSPIP Core : La Configuration
9 novembre 2010, parMediaSPIP Core fournit par défaut trois pages différentes de configuration (ces pages utilisent le plugin de configuration CFG pour fonctionner) : une page spécifique à la configuration générale du squelettes ; une page spécifique à la configuration de la page d’accueil du site ; une page spécifique à la configuration des secteurs ;
Il fournit également une page supplémentaire qui n’apparait que lorsque certains plugins sont activés permettant de contrôler l’affichage et les fonctionnalités spécifiques (...) -
MediaSPIP v0.2
21 juin 2013, parMediaSPIP 0.2 est la première version de MediaSPIP stable.
Sa date de sortie officielle est le 21 juin 2013 et est annoncée ici.
Le fichier zip ici présent contient uniquement les sources de MediaSPIP en version standalone.
Comme pour la version précédente, il est nécessaire d’installer manuellement l’ensemble des dépendances logicielles sur le serveur.
Si vous souhaitez utiliser cette archive pour une installation en mode ferme, il vous faudra également procéder à d’autres modifications (...)
Sur d’autres sites (6578)
-
bash script to install / update ffmpeg static builds
1er mars 2017, par JoakimHi I’m trying to make my first "real" bash script to do some real work than can be executed both manually and through cron jobs.
The script should download and install the ffmpeg-static-build from https://johnvansickle.com/ffmpeg
Here is what I’ve got so far :
#!/bin/bash
# Still to come, see if the script runs with root privileges else exit
#Download FFMPEG static daily build and it's md5
cd ~
wget https://johnvansickle.com/ffmpeg/builds/ffmpeg-git-64bit-static.tar.xz | tar -xf
#wget https://johnvansickle.com/ffmpeg/builds/ffmpeg-git-64bit-static.tar.xz.md5
curl -L https://johnvansickle.com/ffmpeg/builds/ffmpeg-git-64bit-static.tar.xz.md5 | tar -xf | tee -a https://johnvansickle.com/ffmpeg/builds/ffmpeg-git-64bit-static.tar.xz | cut -d\ -f1 | md5sum > md5sum.txt
#Chech the md5 is currect
#md5sum -c MD5SUMS
file1="md5sum.txt"
file2="ffmpeg-git-64bit-static.tar.xz.md5"
if ! cmp --silent "$file1" "$file2"; then
echo "md5sum doesn't match...\n exit" >&2
exit 1
fi
#tar -xf ffmpeg-*.tar.xz
cp ffmpeg-*-static/ff* /usr/bin/
cp ffmpeg-*-static/ff* /usr/local/bin/
cp ffmpeg-*-static/qt-faststart /usr/bin/
cp ffmpeg-*-static/qt-faststart /usr/local/bin/
# Consider change second location to use ln -s
# Remove downloads and do some clean up
rm -fr ffmpeg-*
#EOFAs you can see in the script i would like to add the md5sum check but it fails (got the md5sum check part from Compare md5 sums in bash script)
If i remove the md5sum part the script is working, but right now the script fails at the | tar -xf | part with this code
2017-02-28 00:10:24 (617 KB/s) - ‘ffmpeg-git-64bit-static.tar.xz’ saved [17564756/17564756]
tar: option requires an argument -- 'f'
Try 'tar --help' or 'tar --usage' for more information.
tee: 'https://johnvansickle.com/ffmpeg/builds/ffmpeg-git-64bit-static.tar.xz': No such file or directory
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 65 100 65 0 0 87 0 --:--:-- --:--:-- --:--:-- 87
(23) Failed writing body
md5sum doesn't match...
exitAs this is my first, I would appreciate any "I’m 4 years old" advices and why
update
Have made some changes to the script based on the suggestions in this thread, but my problem is I have no output what so ever at this state :( So I think it’s time to ask for the next clue
#!/bin/bash
# version 0.3z
## Download FFMPEG static daily build and it's md5
##
## To make this script working you might need to change the below values
## based on whether you are using a 32bit or 64 bit OS
## to obtain the right links you have to have a look @ https://johnvansickle.com/ffmpeg/
## and then change those below
##
## If you are running on a shared server or dowsn't have root priviliges you might need to uncomment
## point 5.
# a "~" means running users home folder :) and should be different from destination dir
download_dir=~
# as this can change if the ffmpeg is to be stored on ex. shared server
dest_dir=/usr/bin/
# The version it equal the filename from above link
version=ffmpeg-git-64bit-static.tar.xz
## Do not change anything below here!!
source_url=https://johnvansickle.com/ffmpeg/builds/${version}
md5_url=https://johnvansickle.com/ffmpeg/builds/${version}.md5
# Still to come, see if the script runs with write privileges else exit
# 1. Can we enter download directory else exit
cd ${download_dir} ||
printf "%s\n" "You can't enter this folder.\nPlease chage download_dir in this script..." >&2
exit 1
# 2. Check the md5 is correct or have changed from last check
## instead of downloading ffmpeg-git-64bit-static.tar.xz every time,
## regardless if it is new or not, I recommend only downloading it
## if the md5 does not match. Would save John some bandwidth at least
## thx for the idea to @LordNeckbeard
## So somehow i'll guess some sed or grep only first part is nessesary :(
## This is getting more advance than expected for a first time script :/
if ! diff <(md5sum ${version}) <(curl -s ${md5_url})
then
printf "%s\n" "md5sum doesn't match...\n
Downloading new version" >&2
rm -f ${version} >&2
curl ${source_url} -o ${download_dir}/${version} >&2
#exit 2
elif
diff <(md5sum ${version}) <(curl -s ${md5_url})
printf "%s\n" "Nothing new to download" >&2
exit 3
fi
# 3. untar
tar -xf ffmpeg-git-*-static.tar.xz
# 4. Move builds to destination directories
mv ${download_dir}/ffmpeg-*-static/ff* ${dest_dir}/
mv ${download_dir}/ffmpeg-*-static/qt-faststart ${dest_dir}/
# 5. Make soft links to static builds
ln -sfn ${dest_dir}/qt-faststart /usr/local/bin/qt-faststart
ln -sfn ${dest_dir}/ffmpeg /usr/local/bin/ffmpeg
ln -sfn ${dest_dir}/ffmpeg-10bit /usr/local/bin/ffmpeg-10bit
ln -sfn ${dest_dir}/ffprobe /usr/local/bin/ffprobe
ln -sfn ${dest_dir}/ffserver /usr/local/bin/ffserver
# Remove unzipped folder to do some clean up
rm -fr ffmpeg-git-*-static/
#EOFnote : do to some more in depth answering of why not compile from source :
1. This precompiled is usable on all Linux variations, despite distro and version
2. It usable on shared hosting servers with ssh accessUPDATE 2
#!/bin/bash
# version 0.4z
## Download FFMPEG static daily build and it's md5
##
## To make this script working you might need to change the below values
## based on whether you are using a 32bit or 64 bit OS
## to obtain the right links you have to have a look @ https://johnvansickle.com/ffmpeg/
## and then change those below
##
## Finished and working script should be distributed under GPLv3: free as in freedom
##
## If you are running on a shared server or dowsn't have root priviliges you might need to uncomment
## point 5.
# a "~" means running users home folder :) and should be different from destination dir
download_dir=~
# as this can change if the ffmpeg is to be stored on ex. shared server
dest_dir=/usr/bin/
# The version it equal the filename from above link
version=ffmpeg-git-64bit-static.tar.xz
## Do not change anything below here!!
source_url=https://johnvansickle.com/ffmpeg/builds/${version}
md5="curl -s https://johnvansickle.com/ffmpeg/builds/${version}.md5"
# Still to come, see if the script runs with write privileges else exit
# 1. Can we enter download directory else exit
cd ${download_dir} ||
printf "%s\n" "You can't enter this folder.\nPlease chage download_dir in this script..." >&2
exit 1
# 2. Check the md5 is correct or have changed from last check
## instead of downloading ffmpeg-git-64bit-static.tar.xz every time,
## regardless if it is new or not, I recommend only downloading it
## if the md5 does not match. Would save John some bandwidth at least
## thx for the idea to @LordNeckbeard
## This is getting more advance than expected for a first time script :/
if diff <(md5sum ${version}) <(${md5})
then
printf "%s\n" "No new version availeble" >&2
exit 1
elif ! diff <(md5sum ${version}) <(${md5})
then
rm -f ${version}
curl ${source_url} > ${version}
exit 0
#only proceed if downloaded version match it's md5
if ! diff <(md5sum ${version}) <(${md5})
then
rm -f ${version}
printf "%s\n" "Downloaded version is damaged, try later\ndamaged version have been deleted" >&2
exit 1
fi
# 3. untar
tar -xf ffmpeg-git-*-static.tar.xz
# 4. Move builds to destination directories
mv ${download_dir}/ffmpeg-*-static/ff* ${dest_dir}/
mv ${download_dir}/ffmpeg-*-static/qt-faststart ${dest_dir}/
# 5. Make soft links to static builds
ln -sfn ${dest_dir}/qt-faststart /usr/local/bin/qt-faststart
ln -sfn ${dest_dir}/ffmpeg /usr/local/bin/ffmpeg
ln -sfn ${dest_dir}/ffmpeg-10bit /usr/local/bin/ffmpeg-10bit
ln -sfn ${dest_dir}/ffprobe /usr/local/bin/ffprobe
ln -sfn ${dest_dir}/ffserver /usr/local/bin/ffserver
# Remove unzipped folder to do some clean up
rm -fr ffmpeg-git-*-static/
printf "%s\n" "Going to install new version" >&2
exit 1
fi
#EOFBut still having some issues :(
- Running this script returns : a blanc shell, but I’ve expected one of the printf statements
- When I’m trying to narrow down the problem and going back to basic and trying to run the script with only the "if" part it fails with 44 : Syntax error : "(" unexpected
-
running the very same "if" part typed directly into the shell/terminal itself it’s all happy !!
if diff <(md5sum ffmpeg-git-64bit-static.tar.xz) <(curl -s "https://johnvansickle.com/ffmpeg/builds/ffmpeg-git-64bit-static.tar.xz.md5"); then printf "%s\n" "No new version availeble" >&2; elif ! diff <(md5sum ffmpeg-git-64bit-static.tar.xz) <(curl -s "https://johnvansickle.com/ffmpeg/builds/ffmpeg-git-64bit-static.tar.xz.md5"); then rm -f ffmpeg-git-64bit-static.tar.xz; curl https://johnvansickle.com/ffmpeg/builds/ffmpeg-git-64bit-static.tar.xz > ffmpeg-git-64bit-static.tar.xz; printf "%s\n" "Going to install new version" >&2; fi
-
I’m confused
-
avcodec : estimate output bitrate for uncompressed video codecs
6 mars 2017, par Tobias Rappavcodec : estimate output bitrate for uncompressed video codecs
Allows to get a more realistic total bitrate (and estimated file size)
in avi_write_header. Previously a static default value of 200k was
assumed.Adds an internal helper function for bitrate guessing.
Signed-off-by : Tobias Rapp <t.rapp@noa-archive.com>
Reviewed-by : Michael Niedermayer <michael@niedermayer.cc>- [DH] libavcodec/internal.h
- [DH] libavcodec/r210enc.c
- [DH] libavcodec/rawenc.c
- [DH] libavcodec/utils.c
- [DH] libavcodec/v210enc.c
- [DH] libavcodec/v308enc.c
- [DH] libavcodec/v408enc.c
- [DH] libavcodec/v410enc.c
- [DH] libavcodec/y41penc.c
- [DH] tests/ref/fate/v410enc
- [DH] tests/ref/vsynth/vsynth1-bpp1
- [DH] tests/ref/vsynth/vsynth1-bpp15
- [DH] tests/ref/vsynth/vsynth1-r210
- [DH] tests/ref/vsynth/vsynth1-rgb
- [DH] tests/ref/vsynth/vsynth1-v210
- [DH] tests/ref/vsynth/vsynth1-v210-10
- [DH] tests/ref/vsynth/vsynth1-v308
- [DH] tests/ref/vsynth/vsynth1-v408
- [DH] tests/ref/vsynth/vsynth1-y41p
- [DH] tests/ref/vsynth/vsynth1-yuv
- [DH] tests/ref/vsynth/vsynth2-bpp1
- [DH] tests/ref/vsynth/vsynth2-bpp15
- [DH] tests/ref/vsynth/vsynth2-r210
- [DH] tests/ref/vsynth/vsynth2-rgb
- [DH] tests/ref/vsynth/vsynth2-v210
- [DH] tests/ref/vsynth/vsynth2-v210-10
- [DH] tests/ref/vsynth/vsynth2-v308
- [DH] tests/ref/vsynth/vsynth2-v408
- [DH] tests/ref/vsynth/vsynth2-y41p
- [DH] tests/ref/vsynth/vsynth2-yuv
- [DH] tests/ref/vsynth/vsynth3-bpp1
- [DH] tests/ref/vsynth/vsynth3-bpp15
- [DH] tests/ref/vsynth/vsynth3-r210
- [DH] tests/ref/vsynth/vsynth3-rgb
- [DH] tests/ref/vsynth/vsynth3-v210
- [DH] tests/ref/vsynth/vsynth3-v210-10
- [DH] tests/ref/vsynth/vsynth3-v308
- [DH] tests/ref/vsynth/vsynth3-v408
- [DH] tests/ref/vsynth/vsynth3-yuv
- [DH] tests/ref/vsynth/vsynth_lena-bpp1
- [DH] tests/ref/vsynth/vsynth_lena-bpp15
- [DH] tests/ref/vsynth/vsynth_lena-r210
- [DH] tests/ref/vsynth/vsynth_lena-rgb
- [DH] tests/ref/vsynth/vsynth_lena-v210
- [DH] tests/ref/vsynth/vsynth_lena-v210-10
- [DH] tests/ref/vsynth/vsynth_lena-v308
- [DH] tests/ref/vsynth/vsynth_lena-v408
- [DH] tests/ref/vsynth/vsynth_lena-y41p
- [DH] tests/ref/vsynth/vsynth_lena-yuv
-
FFMpeg - Trimming out the video after removing duplicate frames
19 mars 2017, par MarianDI removed many duplicate frames from video (and completely removed audio) by this command
ffmpeg -i scene.mkv -vf mpdecimate,setpts=N/FRAME_RATE/TB -map:v 0 scene3.mp4
(by an Mulvya’s answer, thanks again).
The resulting video is OK but the total duration will not change - the last frame of original video is frozen to fill the remaining time (when playing back the video).
Is there some way to trim the video so that it will finish at this last frame ?